Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.gvt
Class ImageNode

    java.lang.Object
      org.apache.batik.gvt.AbstractGraphicsNode
          org.apache.batik.gvt.CompositeGraphicsNode
              org.apache.batik.gvt.ImageNode

All Implemented Interfaces:
  Iterable, Collection, List, GraphicsNode

    public class ImageNode

extends CompositeGraphicsNode

A graphics node that represents an image described as a graphics node.

Field Summary
`protected boolean` | `hitCheckChildren`

Fields inherited from class org.apache.batik.gvt.CompositeGraphicsNode
`backgroundEnableRgn, children, count, modCount, NULL_RECT, VIEWPORT`

Fields inherited from class org.apache.batik.gvt.AbstractGraphicsNode
`changeCompletedEvent, changeStartedEvent, clip, composite, enableBackgroundGraphicsNodeRable, filter, graphicsNodeRable, hints, inverseTransform, isVisible, listeners, mask, parent, pointerEventType, root, transform, weakRef`

Fields inherited from interface org.apache.batik.gvt.GraphicsNode
`ALL, FILL, IDENTITY, NONE, PAINTED, STROKE, VISIBLE, VISIBLE_FILL, VISIBLE_PAINTED, VISIBLE_STROKE`

Constructor Summary
`ImageNode()` Constructs a new empty `ImageNode`.

Method Summary
`boolean` | `contains(Point2D p)` Returns true if the specified Point2D is inside the boundary of this node, false otherwise.
`boolean` | `getHitCheckChildren()`
`GraphicsNode` | `getImage()` Returns the graphics node that represents the image.
`Rectangle2D` | `getPrimitiveBounds()` Returns the bounds of the area covered by this node's primitive paint.
`GraphicsNode` | `nodeHitAt(Point2D p)` Returns the GraphicsNode containing point p if this node or one of its children is sensitive to mouse events at p.
`void` | `paint(Graphics2D g2d)` Paints this node.
`void` | `setHitCheckChildren(boolean hitCheckChildren)` If hitCheckChildren is true then nodeHitAt will return child nodes of this image.
`void` | `setImage(GraphicsNode newImage)` Sets the graphics node that represents the image.
`void` | `setVisible(boolean isVisible)` Sets if this node is visible or not depending on the specified value.

Methods inherited from class org.apache.batik.gvt.CompositeGraphicsNode
`add, add, addAll, addAll, clear, contains, containsAll, ensureCapacity, get, getBackgroundEnable, getChildren, getGeometryBounds, getOutline, getSensitiveBounds, getTransformedBBox, getTransformedGeometryBounds, getTransformedPrimitiveBounds, getTransformedSensitiveBounds, indexOf, invalidateGeometryCache, isEmpty, iterator, lastIndexOf, listIterator, listIterator, primitivePaint, remove, remove, removeAll, retainAll, set, setBackgroundEnable, setRoot, size, subList, toArray, toArray`

Methods inherited from class org.apache.batik.gvt.AbstractGraphicsNode
`fireGraphicsNodeChangeCompleted, fireGraphicsNodeChangeStarted, fireGraphicsNodeChangeStarted, fireGraphicsNodeChangeStarted, getBounds, getClip, getComposite, getEnableBackgroundGraphicsNodeRable, getFilter, getGlobalTransform, getGraphicsNodeRable, getInverseTransform, getMask, getParent, getPointerEventType, getRenderingHints, getRoot, getTransform, getTransformedBounds, getWeakReference, intersects, isAntialiasedClip, isOffscreenBufferNeeded, isVisible, normalizeRectangle, setClip, setComposite, setFilter, setMask, setParent, setPointerEventType, setRenderingHint, setRenderingHints, setRenderingHints, setTransform`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.List
`equals, hashCode`

Field Detail

### hitCheckChildren

    protected boolean hitCheckChildren

Constructor Detail

### ImageNode

    public ImageNode()

  Constructs a new empty `ImageNode`.

Method Detail

### setVisible

    public void setVisible(boolean isVisible)

  Description copied from class: `CompositeGraphicsNode`
  Sets if this node is visible or not depending on the specified value. Don't fire a graphicsNodeChange event because this doesn't really effect us (it effects our children through CSS inheritence).

  Specified by:
    `setVisible` in interface `GraphicsNode`
  Overrides:
    `setVisible` in class `CompositeGraphicsNode`
  Parameters:
    `isVisible` - If true this node is visible

### getPrimitiveBounds

    public Rectangle2D getPrimitiveBounds()

  Description copied from class: `CompositeGraphicsNode`
  Returns the bounds of the area covered by this node's primitive paint.

  Specified by:
    `getPrimitiveBounds` in interface `GraphicsNode`
  Overrides:
    `getPrimitiveBounds` in class `CompositeGraphicsNode`

### setHitCheckChildren

    public void setHitCheckChildren(boolean hitCheckChildren)

  If hitCheckChildren is true then nodeHitAt will return child nodes of this image. Otherwise it will only return this node (if the point is in the image).

### getHitCheckChildren

    public boolean getHitCheckChildren()

### paint

    public void paint(Graphics2D g2d)

  Paints this node.

  Specified by:
    `paint` in interface `GraphicsNode`
  Overrides:
    `paint` in class `AbstractGraphicsNode`
  Parameters:
    `g2d` - the Graphics2D to use

### contains

    public boolean contains(Point2D p)

  Returns true if the specified Point2D is inside the boundary of this node, false otherwise.

  Specified by:
    `contains` in interface `GraphicsNode`
  Overrides:
    `contains` in class `CompositeGraphicsNode`
  Parameters:
    `p` - the specified Point2D in the user space

### nodeHitAt

    public GraphicsNode nodeHitAt(Point2D p)

  Returns the GraphicsNode containing point p if this node or one of its children is sensitive to mouse events at p.

  Specified by:
    `nodeHitAt` in interface `GraphicsNode`
  Overrides:
    `nodeHitAt` in class `CompositeGraphicsNode`
  Parameters:
    `p` - the specified Point2D in the user space

### setImage

    public void setImage(GraphicsNode newImage)

  Sets the graphics node that represents the image.

  Parameters:
    `newImage` - the new graphics node that represents the image

### getImage

    public GraphicsNode getImage()

  Returns the graphics node that represents the image.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.